<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateProductScheduleTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('product_schedule', function (Blueprint $table) {
            $table->increments('id');
            $table->string('am_time',64)->comment('营业时间:上午');
            $table->string('pm_time',64)->comment('营业时间:下午');
            $table->string('interval',64)->comment('时间间隔：分钟');
            $table->integer('max')->comment('人数上限');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('product_schedule');
    }
}
